Name:		xcockroach
Version:	0.2.2
Release:	1mdk
Summary:	Displays cockroaches on your desktop
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Toys
Url:		http://xcockroach.free.fr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
xcockroach displays cockroaches on your root  window,
they will look for windows and hide themselves under them.
It is a GPL clone of xroach, with many enhancements.

%prep
%setup -q
perl -pi -e 's,#define SYSTEM_DATA_PATH "/usr/games/xcockroach",#define SYSTEM_DATA_PATH "%{_gamesdatadir}/%{name}",' src/main.c

%build
%make -C src/
%make -C src/behaviors/

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/behaviors/
install -m 755 src/behaviors/*.so $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/behaviors/
cp -a themes $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
install -d -m 755 $RPM_BUILD_ROOT%{_gamesbindir}/
install -m 755 src/%{name} $RPM_BUILD_ROOT%{_gamesbindir}/
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 xcockroach.man $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL TODO
%dir %{_gamesdatadir}/%{name}/
%dir %{_gamesdatadir}/%{name}/behaviors/
%{_gamesdatadir}/%{name}/behaviors/*
%dir %{_gamesdatadir}/%{name}/themes/
%{_gamesdatadir}/%{name}/themes/*
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6.bz2

%changelog
* Fri Feb  6 2004 Olivier Blin <blino@mandrake.org> 0.2.2-1mdk
- initial release
